package com.gjz.springbootmybatis;

/**
 * @author Guan
 * @date 2022/8/1
 * discription
 */
public class TeacherStatus {
    private String dateAdd;
    private String dateEnd;
    private int goodsId;
    private double helpPriceMax;
    private double helpPriceMin;
    private int helpTimes;
    private int id;
    private double minPrice;
    private int number;
    private int numberBuy;
    private double originalPrice;
    private boolean reduction;
    private int status;
    private String statusStr;


    public TeacherStatus() {
    }

    public TeacherStatus(String dateAdd, String dateEnd, int goodsId, double helpPriceMax, double helpPriceMin, int helpTimes, int id, double minPrice, int number, int numberBuy, double originalPrice, boolean reduction, int status, String statusStr) {
        this.dateAdd = dateAdd;
        this.dateEnd = dateEnd;
        this.goodsId = goodsId;
        this.helpPriceMax = helpPriceMax;
        this.helpPriceMin = helpPriceMin;
        this.helpTimes = helpTimes;
        this.id = id;
        this.minPrice = minPrice;
        this.number = number;
        this.numberBuy = numberBuy;
        this.originalPrice = originalPrice;
        this.reduction = reduction;
        this.status = status;
        this.statusStr = statusStr;
    }


    public String getDateAdd() {
        return dateAdd;
    }

    public void setDateAdd(String dateAdd) {
        this.dateAdd = dateAdd;
    }

    public String getDateEnd() {
        return dateEnd;
    }

    public void setDateEnd(String dateEnd) {
        this.dateEnd = dateEnd;
    }

    public int getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(int goodsId) {
        this.goodsId = goodsId;
    }

    public double getHelpPriceMax() {
        return helpPriceMax;
    }

    public void setHelpPriceMax(double helpPriceMax) {
        this.helpPriceMax = helpPriceMax;
    }

    public double getHelpPriceMin() {
        return helpPriceMin;
    }

    public void setHelpPriceMin(double helpPriceMin) {
        this.helpPriceMin = helpPriceMin;
    }

    public int getHelpTimes() {
        return helpTimes;
    }

    public void setHelpTimes(int helpTimes) {
        this.helpTimes = helpTimes;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public double getMinPrice() {
        return minPrice;
    }

    public void setMinPrice(double minPrice) {
        this.minPrice = minPrice;
    }

    public int getNumber() {
        return number;
    }

    public void setNumber(int number) {
        this.number = number;
    }

    public int getNumberBuy() {
        return numberBuy;
    }

    public void setNumberBuy(int numberBuy) {
        this.numberBuy = numberBuy;
    }

    public double getOriginalPrice() {
        return originalPrice;
    }

    public void setOriginalPrice(double originalPrice) {
        this.originalPrice = originalPrice;
    }

    public boolean isReduction() {
        return reduction;
    }

    public void setReduction(boolean reduction) {
        this.reduction = reduction;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getStatusStr() {
        return statusStr;
    }

    public void setStatusStr(String statusStr) {
        this.statusStr = statusStr;
    }


    @Override
    public String toString() {
        return "TeacherStatus{" +
                "dateAdd='" + dateAdd + '\'' +
                ", dateEnd='" + dateEnd + '\'' +
                ", goodsId=" + goodsId +
                ", helpPriceMax=" + helpPriceMax +
                ", helpPriceMin=" + helpPriceMin +
                ", helpTimes=" + helpTimes +
                ", id=" + id +
                ", minPrice=" + minPrice +
                ", number=" + number +
                ", numberBuy=" + numberBuy +
                ", originalPrice=" + originalPrice +
                ", reduction=" + reduction +
                ", status=" + status +
                ", statusStr='" + statusStr + '\'' +
                '}';
    }
}
